CVE-2006-1470
CVSS5.0
发布时间 :2006-06-27 18:13:00
修订时间 :2011-03-07 00:00:00
NMCOS    

[原文]OpenLDAP in Apple Mac OS X 10.4 up to 10.4.6 allows remote attackers to cause a denial of service (crash) via an invalid LDAP request that triggers an assert error.


[CNNVD]Apple Mac OS X OpenLDAP 拒绝服务漏洞(CNNVD-200606-536)

        Apple Mac OS X是苹果家族机器所使用的操作系统。
        Apple Mac OS X 10.4 至 10.4.6 版本中的OpenLDAP远程攻击者通过不正确的LDAP请求造成拒绝服务攻击,会触发断言错误。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-399 [资源管理错误]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x_server:10.4.5Apple Mac OS X Server 10.4.5
cpe:/o:apple:mac_os_x_server:10.4.1Apple Mac OS X Server 10.4.1
cpe:/o:apple:mac_os_x:10.4.2Apple Mac OS X 10.4.2
cpe:/o:apple:mac_os_x:10.4Apple Mac OS X 10.4
cpe:/o:apple:mac_os_x_server:10.4.3Apple Mac OS X Server 10.4.3
cpe:/o:apple:mac_os_x_server:10.4Apple Mac OS X Server 10.4
cpe:/o:apple:mac_os_x:10.4.6Apple Mac OS X 10.4.6
cpe:/o:apple:mac_os_x_server:10.4.2Apple Mac OS X Server 10.4.2
cpe:/o:apple:mac_os_x_server:10.4.4Apple Mac OS X Server 10.4.4
cpe:/o:apple:mac_os_x:10.4.3Apple Mac OS X 10.4.3
cpe:/o:apple:mac_os_x:10.4.1Apple Mac OS X 10.4.1
cpe:/o:apple:mac_os_x_server:10.4.6Apple Mac OS X Server 10.4.6
cpe:/o:apple:mac_os_x:10.4.5Apple Mac OS X 10.4.5
cpe:/o:apple:mac_os_x:10.4.4Apple Mac OS X 10.4.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1470
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1470
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-536
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/652196
(UNKNOWN)  CERT-VN  VU#652196
http://www.securityfocus.com/bid/18728
(PATCH)  BID  18728
http://www.securityfocus.com/bid/18686
(PATCH)  BID  18686
http://securitytracker.com/id?1016396
(PATCH)  SECTRACK  1016396
http://xforce.iss.net/xforce/xfdb/27480
(UNKNOWN)  XF  macosx-openldap-directory-dos(27480)
http://www.vupen.com/english/advisories/2006/2566
(VENDOR_ADVISORY)  VUPEN  ADV-2006-2566
http://www.osvdb.org/26932
(UNKNOWN)  OSVDB  26932
http://secunia.com/advisories/20877
(VENDOR_ADVISORY)  SECUNIA  20877
http://lists.apple.com/archives/security-announce/2006/Jun/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2006-06-27

- 漏洞信息

Apple Mac OS X OpenLDAP 拒绝服务漏洞
中危 其他
2006-06-27 00:00:00 2006-07-06 00:00:00
远程  
        Apple Mac OS X是苹果家族机器所使用的操作系统。
        Apple Mac OS X 10.4 至 10.4.6 版本中的OpenLDAP远程攻击者通过不正确的LDAP请求造成拒绝服务攻击,会触发断言错误。

- 公告与补丁

        厂商补丁:
        http://www.apple.com/support/downloads/
        

- 漏洞信息

26932
Apple Mac OS X OpenLDAP Server Malformed Request Remote DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Availability
Exploit Unknown

- 漏洞描述

Mac OS X contains a flaw that may allow a remote denial of service. The issue is triggered when an attacker sends a specially crafted request to the OpenLDAP server, and will result in loss of availability for the service.

- 时间线

2006-06-26 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 10.4.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apple Mac OS X OpenLDAP Denial Of Service Vulnerability
Failure to Handle Exceptional Conditions 18728
Yes No
2006-06-27 12:00:00 2006-06-29 10:49:00
Mu Security research is credited with the discovery of this vulnerability.

- 受影响的程序版本

Apple Mac OS X Server 10.4.6
Apple Mac OS X Server 10.4.5
Apple Mac OS X Server 10.4.4
Apple Mac OS X Server 10.4.3
Apple Mac OS X Server 10.4.2
Apple Mac OS X Server 10.4.1
Apple Mac OS X Server 10.4
Apple Mac OS X 10.4.6
Apple Mac OS X 10.4.5
Apple Mac OS X 10.4.4
Apple Mac OS X 10.4.3
Apple Mac OS X 10.4.2
Apple Mac OS X 10.4.1
Apple Mac OS X 10.4
Apple Mac OS X Server 10.4.7
Apple Mac OS X 10.4.7

- 不受影响的程序版本

Apple Mac OS X Server 10.4.7
Apple Mac OS X 10.4.7

- 漏洞讨论

Mac OS X Open Directory Server is prone to a denial-of-service vulnerability because it fails to handle exceptional conditions.

An attacker can exploit this issue to cause a crash in the LDAP server, effectively denying service to legitimate users.

Apple has released Mac OS X version 10.4.7 to address this issue.

This issue was initially discussed in BID 18686 (Apple Mac OS X Multiple Security Vulnerabilities), which has been split into individual BIDs to discuss each issue separately.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案

The vendor has released OS X version 10.4.7 to address this issue.


Apple Mac OS X Server 10.4

Apple Mac OS X 10.4

Apple Mac OS X Server 10.4.1

Apple Mac OS X 10.4.1

Apple Mac OS X 10.4.2

Apple Mac OS X Server 10.4.2

Apple Mac OS X 10.4.3

Apple Mac OS X Server 10.4.3

Apple Mac OS X Server 10.4.4

Apple Mac OS X 10.4.4

Apple Mac OS X Server 10.4.5

Apple Mac OS X 10.4.5

Apple Mac OS X Server 10.4.6

Apple Mac OS X 10.4.6

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站